diff --git a/pkgs/darwin/pinentry-touchid/default.nix b/pkgs/darwin/pinentry-touchid/default.nix
index a3b584b664d096c6f68b3f52177b659dbaeea8be..354dd8d31ec93e34ea83a009456c6c4ca0f0af65 100644
--- a/pkgs/darwin/pinentry-touchid/default.nix
+++ b/pkgs/darwin/pinentry-touchid/default.nix
@@ -3,7 +3,6 @@   lib,
   stdenv,
   buildGoModule,
   fetchFromGitHub,
-  darwin,
   writableTmpDirAsHomeHook,
 }:
 
@@ -23,8 +22,6 @@
   subPackages = [ "." ];
 
   nativeBuildInputs = [ writableTmpDirAsHomeHook ];
-
-  buildInputs = [ darwin.apple_sdk.frameworks.LocalAuthentication ];
 
   doCheck = false;
 
diff --git a/pkgs/default.nix b/pkgs/default.nix
index cf80a01e02c0fb9e11f47be5472d8d477331d305..acb17d0452d96bdad424144db6c2e15d6cf769a1 100644
--- a/pkgs/default.nix
+++ b/pkgs/default.nix
@@ -345,9 +345,7 @@     arduinojson = callPackage ./misc/arduinojson { };
     ascii-dash = callPackage ./misc/ascii-dash { };
     bash-completor = callPackage ./misc/bash-completor { };
     btpd = callPackage ./misc/btpd { };
-    bwh = darwin.apple_sdk_11_0.callPackage ./misc/bwh {
-      inherit (darwin.apple_sdk_11_0.frameworks) AppKit;
-    };
+    bwh = callPackage ./misc/bwh { };
     capture2text = libsForQt5.callPackage ./misc/capture2text { };
     cfiles = callPackage ./misc/cfiles { };
     chasquid = callPackage ./misc/chasquid { };
diff --git a/pkgs/gemini/eva/default.nix b/pkgs/gemini/eva/default.nix
index 9df8b9d90c9e4c814d04491e28e1dc9c3cc47921..36dd56b6725135c1806c1c724d9e355495d4642a 100644
--- a/pkgs/gemini/eva/default.nix
+++ b/pkgs/gemini/eva/default.nix
@@ -7,7 +7,6 @@   pkg-config,
   gtk4,
   openssl,
   wrapGAppsHook,
-  darwin,
 }:
 
 rustPlatform.buildRustPackage rec {
@@ -34,7 +33,7 @@
   buildInputs = [
     gtk4
     openssl
-  ] ++ lib.optional stdenv.isDarwin darwin.apple_sdk.frameworks.Security;
+  ];
 
   meta = {
     description = "Gemini protocol browser written in Rust using the gtk+ toolkit";
diff --git a/pkgs/gemini/gemserv/default.nix b/pkgs/gemini/gemserv/default.nix
index 51e7f78a6de89483867ce23bf81afb01e25cdb4d..1c8bb5afc1042a7607e957625cf023800e1ddfda 100644
--- a/pkgs/gemini/gemserv/default.nix
+++ b/pkgs/gemini/gemserv/default.nix
@@ -5,7 +5,6 @@   rustPlatform,
   fetchFromSourcehut,
   pkg-config,
   openssl,
-  darwin,
 }:
 
 rustPlatform.buildRustPackage rec {
@@ -24,7 +23,7 @@   cargoHash = "sha256-ehN8cHkY7FWMWZ9E+ETMEsPdUuupJlEGN6+76ocFI8k=";
 
   nativeBuildInputs = [ pkg-config ];
 
-  buildInputs = [ openssl ] ++ lib.optional stdenv.isDarwin darwin.apple_sdk.frameworks.Security;
+  buildInputs = [ openssl ];
 
   postInstall = ''
     install -Dm644 config.toml -t $out/share/gemserv
diff --git a/pkgs/geospatial/bbox/default.nix b/pkgs/geospatial/bbox/default.nix
index 8258a3ef0da761a0fd7718991768e067ae06ce75..95fc178b1ea34a11470728243411f8de329b0769 100644
--- a/pkgs/geospatial/bbox/default.nix
+++ b/pkgs/geospatial/bbox/default.nix
@@ -1,9 +1,7 @@
 {
   lib,
-  stdenv,
   rustPlatform,
   fetchFromGitHub,
-  darwin,
   buildPackages,
 }:
 
@@ -26,8 +24,6 @@     };
   };
 
   PROTOC = "${buildPackages.protobuf}/bin/protoc";
-
-  buildInputs = lib.optional stdenv.isDarwin darwin.apple_sdk.frameworks.SystemConfiguration;
 
   cargoBuildFlags = [
     "--package"
diff --git a/pkgs/geospatial/hecate/default.nix b/pkgs/geospatial/hecate/default.nix
index 0d5d4b53cf13c24de80511fe84149a8a45cdc500..13e313648383c0feea02b283acdb78c9e55a955b 100644
--- a/pkgs/geospatial/hecate/default.nix
+++ b/pkgs/geospatial/hecate/default.nix
@@ -5,7 +5,6 @@   rustPlatform,
   fetchFromGitHub,
   pkg-config,
   openssl,
-  darwin,
 }:
 
 rustPlatform.buildRustPackage rec {
@@ -25,7 +24,7 @@   cargoHash = "sha256-DIsvqtccOJD54LHjQdq+jQq3d25/EqjS/Jx4Bz/Pmd0=";
 
   nativeBuildInputs = [ pkg-config ];
 
-  buildInputs = [ openssl ] ++ lib.optional stdenv.isDarwin darwin.apple_sdk.frameworks.Security;
+  buildInputs = [ openssl ];
 
   doCheck = false;
 
diff --git a/pkgs/linguistics/ttb/default.nix b/pkgs/linguistics/ttb/default.nix
index c7b8060469f7b9d7ef30906e3d5b2d2b5478d987..5b2cf516a4026f5f187bc763793fed4c4e69afe6 100644
--- a/pkgs/linguistics/ttb/default.nix
+++ b/pkgs/linguistics/ttb/default.nix
@@ -1,9 +1,7 @@
 {
   lib,
-  stdenv,
   rustPlatform,
   fetchFromGitHub,
-  darwin,
 }:
 
 rustPlatform.buildRustPackage {
@@ -22,8 +20,6 @@
   postPatch = ''
     ln -s ${./Cargo.lock} Cargo.lock
   '';
-
-  buildInputs = lib.optional stdenv.isDarwin darwin.apple_sdk.frameworks.SystemConfiguration;
 
   meta = {
     description = "A lightning-fast tool for querying Tatoebe from the command-line";
diff --git a/pkgs/misc/bwh/default.nix b/pkgs/misc/bwh/default.nix
index 05064edccd6789b227530d2ad0f96d9b99db962a..1402e33b591c180555c18f8105150f155128ddf5 100644
--- a/pkgs/misc/bwh/default.nix
+++ b/pkgs/misc/bwh/default.nix
@@ -7,7 +7,6 @@   pkg-config,
   makeWrapper,
   SDL2,
   the-foundation,
-  AppKit,
   libX11,
 }:
 
@@ -32,8 +31,7 @@
   buildInputs = [
     SDL2
     the-foundation
-  ] ++ lib.optional stdenv.isLinux libX11
-    ++ lib.optional stdenv.isDarwin AppKit;
+  ] ++ lib.optional stdenv.isLinux libX11;
 
   installPhase = lib.optionalString stdenv.isDarwin ''
     runHook preInstall
diff --git a/pkgs/misc/modbus-tools/default.nix b/pkgs/misc/modbus-tools/default.nix
index d05977a54c4b5e52dcabcc7692e36a55141e0ce9..22787c681dc045ccee355aeea7063d19a7acb851 100644
--- a/pkgs/misc/modbus-tools/default.nix
+++ b/pkgs/misc/modbus-tools/default.nix
@@ -1,9 +1,7 @@
 {
   lib,
-  stdenv,
   rustPlatform,
   fetchFromGitLab,
-  darwin,
 }:
 
 rustPlatform.buildRustPackage rec {
@@ -22,8 +20,6 @@
   postPatch = ''
     ln -s ${./Cargo.lock} Cargo.lock
   '';
-
-  buildInputs = lib.optional stdenv.isDarwin darwin.apple_sdk.frameworks.IOKit;
 
   meta = {
     description = "Tool(s) for working with Modbus protocol";
diff --git a/pkgs/misc/xtr/default.nix b/pkgs/misc/xtr/default.nix
index e89c04cdf49e8432381b72ea2ece66d5027a45eb..48b6f346123986a8a2fd2a3d7c637e0653e307e5 100644
--- a/pkgs/misc/xtr/default.nix
+++ b/pkgs/misc/xtr/default.nix
@@ -4,7 +4,6 @@   stdenv,
   rustPlatform,
   fetchFromGitHub,
   libiconv,
-  darwin,
 }:
 
 rustPlatform.buildRustPackage rec {
@@ -26,7 +25,6 @@   '';
 
   buildInputs = lib.optionals stdenv.hostPlatform.isDarwin [
     libiconv
-    darwin.apple_sdk.frameworks.Foundation
   ];
 
   env.NIX_CFLAGS_COMPILE = lib.optionalString stdenv.cc.isClang "-Wno-incompatible-function-pointer-types";
diff --git a/pkgs/mqtt/rmqtt/default.nix b/pkgs/mqtt/rmqtt/default.nix
index 684eb8a3ab5ebb0d6bb1c1f1468439489427fe66..7b450ddd2d47dfd72a5427bb92c2dde428049347 100644
--- a/pkgs/mqtt/rmqtt/default.nix
+++ b/pkgs/mqtt/rmqtt/default.nix
@@ -1,21 +1,19 @@
 {
   lib,
-  stdenv,
   rustPlatform,
   fetchFromGitHub,
-  darwin,
   protobuf,
 }:
 
 rustPlatform.buildRustPackage rec {
   pname = "rmqtt";
-  version = "0.10.0";
+  version = "0.13.1";
 
   src = fetchFromGitHub {
     owner = "rmqtt";
     repo = "rmqtt";
     tag = version;
-    hash = "sha256-EPHiwDct8abzzYUj5egKf93yIrzFxoYDcH6ki4bZfGw=";
+    hash = "sha256-5drl63QwbcprLIRyaKl3/QUOOoG+uRZd6qxDX9yOLYQ=";
   };
 
   cargoLock = {
@@ -31,11 +29,6 @@     ln -s ${./Cargo.lock} Cargo.lock
   '';
 
   nativeBuildInputs = [ protobuf ];
-
-  buildInputs = lib.optionals stdenv.isDarwin [
-    darwin.apple_sdk.frameworks.Security
-    darwin.apple_sdk.frameworks.SystemConfiguration
-  ];
 
   meta = {
     description = "MQTT Broker";
diff --git a/pkgs/mqtt/rumqtt/default.nix b/pkgs/mqtt/rumqtt/default.nix
index 7e78e1d314185e0176968dd1e72b5155dc73230f..6a9a1428134630d102e5de0e93914d0d28d3e800 100644
--- a/pkgs/mqtt/rumqtt/default.nix
+++ b/pkgs/mqtt/rumqtt/default.nix
@@ -1,10 +1,8 @@
 {
   lib,
-  stdenv,
   rustPlatform,
   fetchFromGitHub,
   cmake,
-  darwin,
 }:
 
 rustPlatform.buildRustPackage rec {
@@ -23,8 +21,6 @@   useFetchCargoVendor = true;
   cargoHash = "sha256-/OUSTfpjqTily2b2RNZEfmHdKHSQo7lQsGwqW08vPnc=";
 
   nativeBuildInputs = [ cmake ];
-
-  buildInputs = lib.optional stdenv.isDarwin darwin.apple_sdk.frameworks.Security;
 
   meta = {
     description = "The MQTT ecosystem in rust";
diff --git a/pkgs/osm/abstreet/default.nix b/pkgs/osm/abstreet/default.nix
index fe1e9a323666e2a39363797da6b2ca6ae354df0f..7fcb9d3ae73b6ad2e969104d679cfb9985bae60a 100644
--- a/pkgs/osm/abstreet/default.nix
+++ b/pkgs/osm/abstreet/default.nix
@@ -1,9 +1,7 @@
 {
   lib,
-  stdenv,
   rustPlatform,
   fetchFromGitHub,
-  darwin,
 }:
 
 rustPlatform.buildRustPackage rec {
@@ -38,11 +36,6 @@   };
 
   nativeBuildInnputs = [
     rustPlatform.bindgenHook
-  ];
-
-  buildInputs = lib.optionals stdenv.hostPlatform.isDarwin [
-    darwin.apple_sdk_11_0.frameworks.AudioToolbox
-    darwin.apple_sdk_11_0.frameworks.CoreAudio
   ];
 
   doCheck = false;
diff --git a/pkgs/osm/smrender/default.nix b/pkgs/osm/smrender/default.nix
index 2e3a153d63357e40e2aa1791be5fadf3ce2b3696..cdbc8cfbd0e8b6d9878c0c6abe9c32a5e2816604 100644
--- a/pkgs/osm/smrender/default.nix
+++ b/pkgs/osm/smrender/default.nix
@@ -6,7 +6,6 @@   autoreconfHook,
   pkg-config,
   cairo,
   librsvg,
-  darwin,
   testers,
 }:
 
@@ -26,14 +25,10 @@     autoreconfHook
     pkg-config
   ];
 
-  buildInputs =
-    [
-      cairo
-      librsvg
-    ]
-    ++ lib.optionals stdenv.isDarwin [
-      darwin.apple_sdk.frameworks.Foundation
-    ];
+  buildInputs = [
+    cairo
+    librsvg
+  ];
 
   passthru.tests.version = testers.testVersion {
     package = finalAttrs.finalPackage;
diff --git a/pkgs/radio/dumpvdl2/default.nix b/pkgs/radio/dumpvdl2/default.nix
index dce892421759aa162439ad4b66a60e66760b78e1..0b0f6299cd2670356717a7e11ae72eb87a265f91 100644
--- a/pkgs/radio/dumpvdl2/default.nix
+++ b/pkgs/radio/dumpvdl2/default.nix
@@ -11,7 +11,6 @@   rtl-sdr,
   soapysdr,
   sqlite,
   zeromq,
-  darwin,
 }:
 
 stdenv.mkDerivation (finalAttrs: {
@@ -30,20 +29,15 @@     cmake
     pkg-config
   ];
 
-  buildInputs =
-    [
-      glib
-      libacars
-      protobufc
-      rtl-sdr
-      soapysdr
-      sqlite
-      zeromq
-    ]
-    ++ lib.optionals stdenv.isDarwin [
-      darwin.apple_sdk.frameworks.AppKit
-      darwin.apple_sdk.frameworks.Foundation
-    ];
+  buildInputs = [
+    glib
+    libacars
+    protobufc
+    rtl-sdr
+    soapysdr
+    sqlite
+    zeromq
+  ];
 
   meta = {
     description = "VDL Mode 2 message decoder and protocol analyzer";
